Bug 103934 - Add API for identification of methods in source code
Add API for identification of methods in source code
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 43066 65015
  Show dependency treegraph
 
Reported: 2007-05-14 18:21 UTC by Martin Entlicher
Modified: 2010-04-29 09:33 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The textual diff of the API change. (4.90 KB, text/plain)
2007-05-14 18:41 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2007-05-14 18:21:08 UTC
In order to implement annotation of method breakpoints in Editor, we need to be
able to locate individual methods in Editor, based on their names and signature.
Comment 1 Martin Entlicher 2007-05-14 18:29:56 UTC
Two new methods need to be added into org.netbeans.spi.debugger.jpda.EditorContext:
 int getMethodLineNumber(url, className, methodName, methodSignature)
 String[] getCurrentMethodDeclaration()
Comment 2 Martin Entlicher 2007-05-14 18:41:48 UTC
Created attachment 42385 [details]
The textual diff of the API change.
Comment 3 Martin Entlicher 2007-05-14 18:42:39 UTC
Please review this simple API change in debugger.
Comment 4 _ rkubacki 2007-05-14 18:57:10 UTC
'@param url the url of file the class is deined in' - looks like some typo
(defined?). btw: does it mean URL of source file or classfile?
Comment 5 Martin Entlicher 2007-05-14 19:24:27 UTC
It means url of the source file. I'll correct the Javadoc, the same sentence is
used in Javadoc of getFieldLineNumber(), and similar in getClassName().
Comment 6 Martin Entlicher 2007-05-22 11:10:49 UTC
Thanks for the review, I'll commit the change later today...
Comment 7 Martin Entlicher 2007-05-22 15:05:46 UTC
The API change is committed to trunk:

/cvs/debuggerjpda/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.22; previous revision: 1.21

/cvs/debuggerjpda/api/manifest.mf,v  <--  manifest.mf
new revision: 1.23; previous revision: 1.22

/cvs/debuggerjpda/api/src/org/netbeans/spi/debugger/jpda/EditorContext.java,v 
<--  EditorContext.java
new revision: 1.12; previous revision: 1.11

/cvs/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.3; previous revision: 1.2

/cvs/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/DebuggerAnnotation.java,v
 <--  DebuggerAnnotation.java
new revision: 1.4; previous revision: 1.3

/cvs/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/EditorContextImpl.java,v
 <--  EditorContextImpl.java
new revision: 1.19; previous revision: 1.18

/cvs/debuggerjpda/projects/src/org/netbeans/modules/debugger/jpda/projects/SourcePathProviderImpl.java,v
 <--  SourcePathProviderImpl.java
new revision: 1.3; previous revision: 1.2
Comment 8 Quality Engineering 2010-04-29 09:33:09 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo